label: Navigations
icon: menu

fields:
	# linksFeatured:
	#         label: Lien de mise en avant
	#         type: structure
	#         help: Les pages internes sont prioritaires si vous renseignez les champs <code><b>Page</b></code> et <code><b>URL</b></code>.
	#         max: 1
	#         fields:
	#             lien_titre:
	#                 label: Titre du lien
	#                 type: text
	#                 help: Optionnel 

	#             lien_ref:
	#                 label: Page 
	#                 type: pages
	#                 max: 1
	#                 image: icon
	#                 subpages: false
	#                 help: Si pas de titre renseigné, c'est le titre de la page qui sera pris en compte
	#                 query: site.children.filterBy('intendedTemplate', 'in', ['service', 'content'])

	#             lien_url:
	#                 label: URL
	#                 type: url
	#                 help: Pour une meilleur expérience, n'oubliez pas d'ajouter un titre à ce lien
	


	navigation:
		label: Navigation du header
		type: structure
		max: 8
		fields:
			menu_item_label:
				label: Titre
				type: text
				required: true
				width: 1/2
				maxlength: 40

			has_sub_menu:
				label: Possède un sous-menu ?
				type: toggle
				width: 1/2
				text: 
					- "Non"
					- "Oui"
				width: 1/2

			menu_item_link:
				type: link
				label: lien
				options:
					- page
					- url
				when:
					has_sub_menu : false
			

			menu_item_list_links:
				label: les liens
				type: structure
				fields:
					item_label:
						label: Titre
						type: text
						required: true
						maxlength: 40
					item_link:
						type: link
						label: Lien
						options:
							- page
							- url
				when:
					has_sub_menu : true

   
	linksMenuSecondary:
		label: Menu du footer
		help: liens présents dans le bas du site
		type: structure
		max: 8
		fields:
			lien_ref:
				label: Page 
				type: pages
				max: 1
				required: true
				image: icon
			  
				
			lien_titre:
				label: Titre du lien
				type: text
				help: Si pas renseigné c'est le titre de la page qui sera pris en compte. 
	
	
